* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: sans-serif;
}

body {
  background-color: #eee;
}
.container {
  width: 90%;
  padding-left: 5%;
  padding-right: 5%;
  margin-left: auto;
  margin-right: auto;
  display: flex;
  justify-content: space-between;
}

a {
  text-decoration: none;
  color: #fff;
}
nav {
  background-color: #20232a;
  color: #ffffff;
  z-index: 1;
  width: 100%;
}
nav .brand {
  display: flex;
  align-items: center;
}
nav .brand img {
  width: 80px;
  height: 50px;
  margin-top: 10px;
}

nav .brand h2 {
  margin: 5px 1rem;
}
nav .search {
  height: 100%;
  padding: 1rem 0;
}

nav .search .wrapper {
  position: relative;
}
nav .search .search-icon {
  position: absolute;
  top: 10px;
  left: 8px;
}

nav .search input {
  background-color: transparent;
  padding: 10px 27px;
  width: 5;
  border: 1px solid #eee;
  border-radius: 10px;
  outline: none;
  color: #fff;
}

nav .search input:hover,
nav .search input:focus {
  background-color: #393d47;
}

/* countries */
.section {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding-top: 50px;
}

.section .loader {
  border: 16px solid #f3f3f3;
  border-top: 16px solid blue;
  border-bottom: 16px solid black;
  border-radius: 50%;
  width: 120px;
  height: 120px;
  margin: 3rem 0 2rem;
  animation: spin 2s linear infinite;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.section h1 {
  font-size: 2.5rem;
  text-transform: capitalize;
  margin-bottom: 2rem;
}

.section h1:after {
  content: "";
  border: 2px solid #03a9f4;
  display: block;
  width: 100px;
  margin: 10px auto;
}

.section .countries-list {
  display: flex;
  flex-wrap: wrap;
  width: 100%;
  padding-top: 50px 4px;
}

.section .single-country {
  flex: 25%;
  position: relative;
  padding: 3px 4px;
  overflow: hidden;
}
.section .single-country img {
  width: 100%;
  height: 200px;
  object-fit: cover;
}
.overlay {
  position: absolute;
  top: 0px;
  left: 0px;
  width: 100%;
  height: 100%;
  background-color: #393d47;
  opacity: 0.7;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  color: #fff;
}

.section .single-country .overlay {
  opacity: 0;
  transition: 0.5s ease;
  background-color: #03a9f4;
}
.section .single-country .overlay h3 {
  text-align: center;
}
.section .single-country:hover .overlay {
  opacity: 0.9;
}

.link {
  padding: 5px;
  margin: 5px;
  text-decoration: none;
  border: 0px;
  color: #fff;
}
.section-row {
  display: flex;
  width: 80%;
  margin: auto;
  padding: 5rem 0;
  justify-content: center;
}
.section-row .leaflet-container {
  flex: 60%;
  height: inherit !important;
  overflow: hidden;
  border: 1px solid #ccc;
}
.section-row table {
  flex: 40%;
}
#mapid {
  height: 180px;
}
table {
  border-spacing: 5px;
  width: 100%;
}
table,
tr,
td {
  border: 1px solid #ccc;
  border-collapse: collapse;
  padding: 15px;
  border-spacing: 5px;
}

table tr td:first-child {
  background-color: #03a9f4;
  color: #fff;
}
svg path {
  stroke: #fff;
}
table tr td ul {
  padding: 15px;
}

.photo {
  height: 400px;
  margin: 0 10px;
}

.not-found-container {
  display: flex;
  padding-top: 5rem;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.not-found-container .no-data {
  width: 13rem;
}
.not-found-container h2 {
  margin-top: 2rem;
  color: #03a9f4;
}
.not-found-container button {
  margin-top: 1rem;
  padding: 0.5rem 1.5rem;
  background-color: transparent;
  border-color: #03a9f4;
  outline: none;
}

@media (max-width: 767px) {
  .container {
    flex-direction: column;
    align-items: center;
  }
  nav .brand {
    flex-direction: column;
  }
  nav .brand img {
    width: 60px;
  }
  nav .brand h2 {
    font-size: 1.5rem;
  }
  .section h1 {
    font-size: 1.5rem;
    margin-bottom: 1rem;
  }
  .section .single-country {
    flex: 100% !important;
  }
  .section-row {
    flex-direction: column;
  }
  .section-row .leaflet-container {
    flex: 20rem !important;
  }
  .section-row table {
    margin: 2rem 3rem 2rem 0;
  }
}
